package com.ruoyi.mxjb.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * AI测评人员对象 mxjb_ai_examinee
 * 
 * @author mingxue
 * @date 2021-12-25
 */
public class MxjbPaperExaminee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 应试学生id */
    private Long examineeId;

    /** 试卷id */
    @Excel(name = "试卷id")
    private Long paperId;

    /** 用户编码 */
    @Excel(name = "用户编码")
    private String customerCode;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 未答题, 已答题, 通过, 未通过 */
    @Excel(name = "未答题, 已答题, 通过, 未通过")
    private Long state;

    /** 分级 */
    @Excel(name = "分级")
    private String scoreLevel;

    /** 分值 */
    @Excel(name = "分值")
    private Long score;

    /** 分率 */
    @Excel(name = "分率")
    private Double scoreRate;

    /** 名次 */
    @Excel(name = "名次")
    private Long ranking;

    /** 年排名次 */
    @Excel(name = "年排名次")
    private Long gradeRanking;

    /** 选择题正确数 */
    @Excel(name = "选择题正确数")
    private Integer chooseCount;

    /** 选择题总数 */
    @Excel(name = "选择题总数")
    private Integer chooseTotal;

    /** 主观题正确数 */
    @Excel(name = "主观题正确数")
    private Integer subjectiveCount;

    /** 主观题总数 */
    @Excel(name = "主观题总数")
    private Integer subjectiveTotal;

    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }
    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }
    public void setCustomerCode(String customerCode) 
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() 
    {
        return customerCode;
    }
    public void setBeginTime(Date beginTime) 
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setScoreLevel(String scoreLevel) 
    {
        this.scoreLevel = scoreLevel;
    }

    public String getScoreLevel() 
    {
        return scoreLevel;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore()
    {
        return score;
    }
    public void setScoreRate(Double scoreRate)
    {
        this.scoreRate = scoreRate;
    }

    public Double getScoreRate()
    {
        return scoreRate;
    }
    public void setRanking(Long ranking) 
    {
        this.ranking = ranking;
    }

    public Long getRanking() 
    {
        return ranking;
    }
    public void setGradeRanking(Long gradeRanking) 
    {
        this.gradeRanking = gradeRanking;
    }

    public Long getGradeRanking() 
    {
        return gradeRanking;
    }
    public void setChooseCount(Integer chooseCount)
    {
        this.chooseCount = chooseCount;
    }

    public Integer getChooseCount()
    {
        return chooseCount;
    }
    public void setChooseTotal(Integer chooseTotal)
    {
        this.chooseTotal = chooseTotal;
    }

    public Integer getChooseTotal()
    {
        return chooseTotal;
    }
    public void setSubjectiveCount(Integer subjectiveCount)
    {
        this.subjectiveCount = subjectiveCount;
    }

    public Integer getSubjectiveCount()
    {
        return subjectiveCount;
    }
    public void setSubjectiveTotal(Integer subjectiveTotal)
    {
        this.subjectiveTotal = subjectiveTotal;
    }

    public Integer getSubjectiveTotal()
    {
        return subjectiveTotal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examineeId", getExamineeId())
            .append("paperId", getPaperId())
            .append("customerCode", getCustomerCode())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .append("state", getState())
            .append("scoreLevel", getScoreLevel())
            .append("score", getScore())
            .append("scoreRate", getScoreRate())
            .append("ranking", getRanking())
            .append("gradeRanking", getGradeRanking())
            .append("chooseCount", getChooseCount())
            .append("chooseTotal", getChooseTotal())
            .append("subjectiveCount", getSubjectiveCount())
            .append("subjectiveTotal", getSubjectiveTotal())
            .toString();
    }
}
